=== debian/changelog ===
votca-csg (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 13.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 25 Aug 2020 22:28:01 -0700

votca-csg (1.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove directory-with-tilde.patch, incorporated upstream.
  * Update watch file with filename mangling.
  * Add stub debian/salsa-ci.yml.
  * Update Multi-Arch headers.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 17 Jul 2020 20:34:22 -0700

votca-csg (1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 18 Apr 2020 16:22:13 -0700
