=== debian/control ===
Source: votca-csg
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>,
           Nicholas Breen <nbreen@debian.org>
Build-Depends: bash-completion,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libeigen3-dev,
               libgromacs-dev (>= 2020-2),
               libgsl-dev,
               libsqlite3-dev,
               libvotca-tools-dev (<= 1.7~),
               libvotca-tools-dev (>= 1.6.2),
               pkg-config,
               python3,
               txt2tags
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.votca.org
Vcs-Browser: https://salsa.debian.org/debichem-team/votca-csg
Vcs-Git: https://salsa.debian.org/debichem-team/votca-csg.git

Package: libvotca-csg-dev
Section: libdevel
Architecture: any
Depends: libboost-filesystem-dev,
         libboost-program-options-dev,
         libboost-system-dev,
         libvotca-csg6 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libvotca-csg2-dev,
        libvotca-csg3 (<< 1.3.0-4~),
        libvotca-csg4 (<< 1.4.1-2~)
Replaces: libvotca-csg2-dev, libvotca-csg3, libvotca-csg4
Description: VOTCA's coarse-graining library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.
 .
 This package contains header files and pkg-config files and templates
 for VOTCA programs.

Package: libvotca-csg6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-csg2, libvotca-csg3
Replaces: libvotca-csg2, libvotca-csg3
Description: VOTCA's coarse-graining library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.

Package: votca-csg-scripts
Architecture: all
Depends: bash (>= 4), perl, ${misc:Depends}, ${python3:Depends}
Description: VOTCA's coarse-graining scripts
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts.

Package: votca-csg-tutorials
Architecture: all
Multi-Arch: foreign
Depends: bash (>= 4), ${misc:Depends}
Recommends: python3:any
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent tutorials..

Package: votca-csg
Architecture: any
Depends: votca-csg-scripts (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: votca-csg-tutorials
Description: VOTCA's coarse-graining engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 csg is Votca's coarse-graining engine.
