=== debian/changelog ===
votca-csg (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 28 Jan 2021 21:43:05 -0800

votca-csg (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Make cross Build-Depends satisfiably annotate python3 with :any.
    Patch courtesy of Helmut Grohne.  (Closes: #972823)
  * Update Standards-Version to 4.5.1, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 13 Dec 2020 10:55:01 -0800
