=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
                libgsl-dev,
                libsqlite3-dev,
                libvotca-tools-dev (<= 1.7~),
-               libvotca-tools-dev (>= 1.6.2),
+               libvotca-tools-dev (>= 1.6.4),
                pkg-config,
-               python3,
+               python3:any,
                txt2tags
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.votca.org
 Vcs-Browser: https://salsa.debian.org/debichem-team/votca-csg
@@ -35,10 +35,6 @@
          libboost-system-dev,
          libvotca-csg6 (= ${binary:Version}),
          ${misc:Depends}
-Breaks: libvotca-csg2-dev,
-        libvotca-csg3 (<< 1.3.0-4~),
-        libvotca-csg4 (<< 1.4.1-2~)
-Replaces: libvotca-csg2-dev, libvotca-csg3, libvotca-csg4
 Description: VOTCA's coarse-graining library, development kit
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
@@ -55,8 +51,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libvotca-csg2, libvotca-csg3
-Replaces: libvotca-csg2, libvotca-csg3
 Description: VOTCA's coarse-graining library
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as
