=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/votca-csg-$1\.tar\.gz/ \
https://github.com/votca/csg/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
opts="component=tutorials,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/votca-csg-tutorials-$1\.tar\.gz/" \
https://github.com/votca/csg-tutorials/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
